CGAL 6.1.2 - 3D Point Set: Input/Output (XYZ)

CGAL 6.1.2 - 3D Point Set

Loading...
Searching...
No Matches
Functions
Input/Output (XYZ)
Reference Manual » Input/Output

##

I/O Functions for the XYZ File Format.

## Functions
template<typename Point , typename Vector >
bool | CGAL::IO::read_XYZ (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
| reads the content of an input stream in the XYZ File Format into a point set.
template<typename Point , typename Vector >
bool | CGAL::IO::read_XYZ (const std::string &fname, CGAL::Point_set_3< Point, Vector > &point_set)
| reads the content of an input file in the XYZ File Format into a point set.
template<typename Point , typename Vector , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::IO::write_XYZ (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set, const NamedParameters &np=parameters::default_values())
| writes the content of a point set into an output stream in the XYZ File Format.
template<typename Point , typename Vector , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::IO::write_XYZ (const std::string &fname, const CGAL::Point_set_3< Point, Vector > &point_set, const NamedParameters &np=parameters::default_values())
| writes the content of a point set into an output file in the XYZ File Format.

## Function Documentation

## ◆ read_XYZ() [1/2]

template<typename Point , typename Vector >

bool CGAL::IO::read_XYZ | ( | const std::string & | fname,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/XYZ.h>`

reads the content of an input file in the XYZ File Format into a point set.

If normals are present in the input file, a normal map will be created and filled.

Parameters

  fname | the path to the input file
  point_set | the point set

Returns
  `true` if the reading was successful, `false` otherwise.

## ◆ read_XYZ() [2/2]

template<typename Point , typename Vector >

bool CGAL::IO::read_XYZ | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/XYZ.h>`

reads the content of an input stream in the XYZ File Format into a point set.

If normals are present in the input stream, a normal map will be created and filled.

Parameters

  is | the input stream
  point_set | the point set

Returns
  `true` if the reading was successful, `false` otherwise.

## ◆ write_XYZ() [1/2]

template<typename Point , typename Vector , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::IO::write_XYZ | ( | const std::string & | fname,
|  | const CGAL::Point_set_3< Point, Vector > & | point_set,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/Point_set_3/IO/XYZ.h>`

writes the content of a point set into an output file in the XYZ File Format.

If it exists, the normal map associated to the point set is inserted in the stream.

Template Parameters

  Point | the point type of the `Point_set_3`
  Vector | the vector type of the `Point_set_3`
  NamedParameters | a sequence of Named Parameters

Parameters

  fname | the path to the output file
  point_set | the point set
  np | an optional sequence of Named Parameters among the ones listed below

Optional Named Parameters

  a parameter used to set the precision (i.e. how many digits are generated) of the output stream Type: int Default: `6` |

Returns
  `true` if the writing was successful, `false` otherwise.

## ◆ write_XYZ() [2/2]

template<typename Point , typename Vector , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::IO::write_XYZ | ( | std::ostream & | os,
|  | const CGAL::Point_set_3< Point, Vector > & | point_set,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/Point_set_3/IO/XYZ.h>`

writes the content of a point set into an output stream in the XYZ File Format.

If it exists, the normal map associated to the point set is inserted in the stream.

Template Parameters

  Point | the point type of the `Point_set_3`
  Vector | the vector type of the `Point_set_3`
  NamedParameters | a sequence of Named Parameters

Parameters

  os | the output stream
  point_set | the point set
  np | an optional sequence of Named Parameters among the ones listed below

Optional Named Parameters

  a parameter used to set the precision (i.e. how many digits are generated) of the output stream Type: int Default: the precision of the stream `os` |

Returns
  `true` if the writing was successful, `false` otherwise.